# $Revision: 1.42 $, $Date: 2010/01/04 15:24:26 $
%include	/usr/lib/rpm/macros.php
%define		_class		Validate
%define		_status		beta
%define		_pearname	%{_class}

Summary:	%{_pearname} - Validation class
Summary(pl.UTF-8):	%{_pearname} - klasa sprawdzająca poprawność danych
Name:		php-pear-%{_pearname}
Version:	0.8.3
Release:	1
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b9e8a25b5ec2daba9f6e51d81e8d1d52
URL:		http://pear.php.net/package/Validate/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# It's in a comment block
%define		_noautoreq	'pear(FR_insee_country_codes.php)' 'pear(Date.*)'

%description
Package to validate various data. It includes:
- numbers (min/max, decimal or not),
- email (syntax, domain check),
- string (predifined type alpha upper and/or lowercase, numeric,...),
- date (min, max),
- Credit cards,
- possibility valid multiple data with a single method call
  (::multiple).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności różnych danych:
- liczb (minimalna/maksymalna, dziesiętne czy nie),
- adresy e-mail (składnia, sprawdzanie domeny),
- łańcuchy znaków (predefiniowane typy alfanumeryczne z dużymi i
  małymi literami, numeryczne...),
- daty (minimalna, maksymalna),
- karty kredytowe,
- możliwe sprawdzenie większej ilości danych wywołaniem pojedynczej
  metody (::multiple).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Validate.spec,v $
Revision 1.42  2010/01/04 15:24:26  adamg
- updated to 0.8.3

Revision 1.41  2009/02/01 17:58:29  adamg
- updated to 0.8.2

Revision 1.40  2008-01-31 12:16:11  glen
- rel 2

Revision 1.39  2007-12-22 23:29:33  adamg
- updated to 0.8.1

Revision 1.38  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.37  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.36  2006/12/30 11:02:05  adamg
- updated to 0.7.0

Revision 1.35  2006/09/04 20:01:35  adamg
- don't use epoch if not defined

Revision 1.34  2006/08/06 11:54:10  adamg
- updated to 0.6.4

Revision 1.33  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.32  2006/04/24 09:16:30  adamg
- updated to 0.6.3

Revision 1.31  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.30  2006/03/07 22:31:35  sparky
- s/datas/data/ in en desc: "data" is the plural noun, singular of it is
  "datum", "datas" word does not exist

Revision 1.29  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.28  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.27  2006/01/14 16:40:11  arekm
- up to 0.6.2

Revision 1.26  2005/10/27 19:22:29  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.25  2005/10/27 19:15:41  qboosh
- pl fixes

Revision 1.24  2005/10/15 14:20:41  glen
- add optional package Date; rel 2

Revision 1.23  2005/10/06 18:58:53  glen
- updated to 0.6.1
- NB: Validate_Finance is now available separately from php-pear-Validate_Finance

Revision 1.22  2005/10/05 20:59:49  glen
- rel 4

Revision 1.21  2005/10/03 23:02:38  glen
- update todo

Revision 1.20  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.19  2005/10/03 21:15:27  glen
- add TODO

Revision 1.18  2005/10/01 00:44:20  glen
- new pear packaging

Revision 1.17  2004/12/04 23:05:25  adamg
- do not require pear(FR_insee_country_codes.php) - it's a comment
- release 3

Revision 1.16  2004/12/04 14:25:21  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/10/31 21:53:11  paladine
- spaces->tabs
- formatting

Revision 1.14  2004/05/30 13:13:53  adamg
- fixed english information about status of the package

Revision 1.13  2004/03/17 17:29:38  adamg
- updated to 0.4.1

Revision 1.12  2003/12/25 10:14:40  adamg
- updated to 0.3.0
- also install Finance/ dir

Revision 1.11  2003/10/07 20:56:17  adamg
- do not use macros in URL

Revision 1.10  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.9  2003/06/15 17:53:52  adamg
- updated to 0.2.0 (pt_BR locale validate added)

Revision 1.8  2003/06/03 20:48:43  adamg
- license fixes

Revision 1.7  2003/05/28 10:50:32  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:49  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/23 13:31:13  blues
- 0.1.0 - WARNING: not compatible; NOT for Ra....

Revision 1.3  2003/02/16 19:33:14  blues
- 0.0.4 - added status info (alpha...) - anyway STBR to Ra updates general

Revision 1.2  2002/10/14 20:14:23  misto
- merged with branch NEW_PEAR_REQUIRES (new rpm pear req/prov scripts)
- release 2

Revision 1.1.2.1  2002/10/11 20:31:16  misto
- fixed for new rpm pear requires/provides scripts

Revision 1.1  2002/08/18 20:01:27  blues
- initial release - STBR
